require "rails_helper"

RSpec.describe Settings::MenusController, type: :routing do
  describe "routing" do

    it "routes to #index" do
      expect(:get => "/settings/menus").to route_to("settings/menus#index")
    end

    it "routes to #new" do
      expect(:get => "/settings/menus/new").to route_to("settings/menus#new")
    end

    it "routes to #show" do
      expect(:get => "/settings/menus/1").to route_to("settings/menus#show", :id => "1")
    end

    it "routes to #edit" do
      expect(:get => "/settings/menus/1/edit").to route_to("settings/menus#edit", :id => "1")
    end

    it "routes to #create" do
      expect(:post => "/settings/menus").to route_to("settings/menus#create")
    end

    it "routes to #update via PUT" do
      expect(:put => "/settings/menus/1").to route_to("settings/menus#update", :id => "1")
    end

    it "routes to #update via PATCH" do
      expect(:patch => "/settings/menus/1").to route_to("settings/menus#update", :id => "1")
    end

    it "routes to #destroy" do
      expect(:delete => "/settings/menus/1").to route_to("settings/menus#destroy", :id => "1")
    end

  end
end
